> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Member Transactions By Member Request

> Returns a list of all member transactions for a given member request.

<Warning>
  The Member Request workflow is now deprecated in favor of using [Member
  Snapshot](/docs/members/using-snapshots/using-snapshots)
</Warning>


## OpenAPI

````yaml GET /api/v1/member_requests/{request_id}/member_transactions
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/member_requests/{request_id}/member_transactions:
    get:
      tags:
        - Member Transactions
      summary: Get a list of all Member Transactions
      description: Returns a list of all member transactions for a given member request.
      operationId: getMemberTransactionsByMemberRequestList
      parameters:
        - description: >-
            The unique identifier of the member request for which you would like
            to view member transaction
          in: path
          name: request_id
          required: true
          schema:
            example: a6e30204-87b2-4802-95a4-a156bd0f7435
            format: uuid
            type: string
        - description: The max size of each page of results
          in: query
          name: page_size
          required: false
          schema:
            type: integer
        - description: >-
            The integer offset at which to start the page. Possible values are 0
            to total_records - 1
          in: query
          name: offset
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              example:
                meta:
                  offset: 0
                  page_num: 1
                  page_size: 20
                  total_records: 1
                response:
                  - body:
                      coverages:
                        - carrier_config:
                            bill_group: '1000001'
                            member_group: '99999'
                          carrier_id: d0003042-eaae-4491-b219-4825456a3d16
                          lines_of_coverage:
                            dental:
                              enrolling_members:
                                - id: 25434576-e85d-481b-a825-962fd575046f
                                  member_type: employee
                                  plan_id: 2e6a04b6-21f3-40d7-a9e2-735196cc451b
                              waiving_members: []
                            medical:
                              enrolling_members:
                                - id: 25434576-e85d-481b-a825-962fd575046f
                                  member_type: employee
                                  plan_id: 1873df52-c9e9-4e3a-995c-f47f32d0bd62
                              waiving_members: []
                            vision:
                              enrolling_members:
                                - id: 25434576-e85d-481b-a825-962fd575046f
                                  member_type: employee
                                  plan_id: 9cb64800-022e-40af-ab80-8d945e430592
                              waiving_members: []
                    carrier_id: 478e066e-9696-490e-b60f-47f40c96dc7c
                    created: 1557512389
                    employee_id: 25434576-e85d-481b-a825-962fd575046f
                    id: a6e30204-87b2-4802-95a4-a156bd0f7435
                    lines_of_coverage:
                      - medical
                      - dental
                      - vision
                    member_request_id: bba6ea27-4004-4a52-a3d9-f986ace0d3da
                    modified: 1564440756
                    status: processing
              schema:
                $ref: '#/components/schemas/PaginatedMemberTransactionResult'
          description: Successful Response - Returns all matching Member Transactions
components:
  schemas:
    PaginatedMemberTransactionResult:
      properties:
        meta:
          allOf:
            - $ref: '#/components/schemas/Meta'
          description: Metadata associated with the response data
        response:
          description: List of member transaction results
          items:
            $ref: '#/components/schemas/MemberTransactionResult'
          type: array
      required:
        - meta
        - response
      type: object
      x-field_order:
        - meta
        - response
    Meta:
      properties:
        offset:
          description: The offset of the first response record within the matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
        page_num:
          description: >-
            The page number of the response records within the overall data set
            (1-based integer)
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        page_size:
          description: The maximum number of response records on each page of results
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        total_records:
          description: The total number of records in the entire matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
      required:
        - offset
        - page_num
        - page_size
      type: object
    MemberTransactionResult:
      properties:
        body:
          description: Body of the member transaction
          type: object
        carrier_id:
          description: Unique identifier of the carrier in the Noyo system
          format: uuid
          type: string
        created:
          description: The date the record was created
          type: integer
        employee_id:
          description: Unique identifier of the associated employee in the Noyo system
          format: uuid
          type: string
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        lines_of_coverage:
          description: List of lines of coverage for the member transaction
          items:
            description: Line of coverage for the member transaction
            enum:
              - medical
              - dental
              - vision
              - life
              - add
              - std
              - ltd
              - accident
              - critical_illness
              - cancer
              - health_fund
              - hospital_indemnity
              - pharmacy
              - wellness
            type: string
          type: array
        member_request_id:
          description: Unique identifier of the member request in the Noyo system
          format: uuid
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        result:
          description: Result of the member transaction
          type: object
        status:
          description: Status of the member transaction
          enum:
            - processing
            - completed
            - failed
            - canceled
          type: string
        status_details:
          description: History of status details for the member transaction
          items:
            $ref: '#/components/schemas/StatusDetailResult'
          type: array
        transaction_type:
          description: Transaction type of the member transaction
          enum:
            - carrier_demographic
            - carrier_demographic_full
            - carrier_new_hire
            - carrier_termination
            - noyo_termination
            - carrier_open_enrollment_full
            - carrier_open_enrollment_adding
            - carrier_open_enrollment_modifying
            - carrier_open_enrollment_removing
            - carrier_qualifying_life_event_full
            - carrier_qualifying_life_event_adding
            - carrier_qualifying_life_event_modifying
            - carrier_qualifying_life_event_removing
            - carrier_enrollment_snapshot_new_hire
            - carrier_cobra_enrollment
            - carrier_cobra_termination
            - carrier_cobra_open_enrollment
            - carrier_cobra_qualifying_life_event
          type: string
        ui_body:
          description: >-
            A restructured form of the transaction's body data for UI display
            purposes
          type: string
        verified:
          description: The date the member transaction was verified
          type: integer
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - body
        - created
        - employee_id
        - id
        - lines_of_coverage
        - member_request_id
        - modified
        - result
        - status
        - transaction_type
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - modified
        - member_request_id
        - employee_id
        - carrier_id
        - lines_of_coverage
        - transaction_type
        - status
        - verified
        - body
        - result
    StatusDetailResult:
      properties:
        event_created:
          description: Timestamp indicating when the status detail was created
          example: '1673452723'
          type: integer
        status_detail:
          description: Type of Status detail
          enum:
            - noyo_accepted
            - carrier_accepted
            - carrier_processing
            - carrier_completed
            - noyo_verified
          example: carrier_accepted
          type: string
      required:
        - event_created
        - status_detail
      type: object
      x-field_order:
        - status_detail
        - event_created

````